import pygame, os
from pygame.locals import *

class Mutant(pygame.sprite.Sprite):

    def __init__(self, screen_width, screen_height, sx, sy, data_folder, image_file):
        pygame.sprite.Sprite.__init__(self)
        self.screen_width = screen_width
        self.screen_height = screen_height
        
        self.x = sx
        self.y = sy
        self.dx = 0
        self.dy = 0
        self.image = pygame.Surface((32, 32))
        self.image.fill((0, 255, 0))
        self.rect = self.image.get_rect(topleft = (sx, sy))
        self.max_vector_speed = 7
        self.deccel = 0.1
        self.accel = 0.7
        self.collided_with_player = False
        
    def update(self):
        self.rect.move_ip(self.dx, self.dy)

        if (self.rect.left < 4) or (self.rect.left > self.screen_width - 28):
            self.dx =- self.dx
        if (self.rect.top < 4) or (self.rect.top > self.screen_height - 28):
            self.dy =- self.dy
        
        if (self.dx <0):
            self.dx += self.deccel
        if (self.dx > 0):
            self.dx -= self.deccel
        if (self.dy <0):
            self.dy += self.deccel
        if (self.dy > 0):
            self.dy -= self.deccel
        
